#/usr/bin/perl

use strict;
use warnings;

open(my $ofh, ">BASEDATA/config") or die($!);

print $ofh "DIR=BASEDATA\n";

my @fnames = `find BASEDATA -type f`;

foreach my $fname (@fnames) {
	chomp $fname;

	next if($fname =~ /(\.svn|config)/);

	my $nfname = $fname;
	$nfname =~ s/^.*\///go;
	$fname =~ s/^BASEDATA\///go;

	print $ofh "FILE=$fname|$nfname\n";
}

close($ofh);
